Uploaded image for project: 'PUBLIC - Liferay Portal Community Edition'
  1. PUBLIC - Liferay Portal Community Edition
  2. LPS-49392

"Property 'module.bnd.Bundle-SymbolicName' is not defined" error occurs when running ant commands for osgi plugins

Details

    • 6.2.x
    • Committed
    • 4

    Description

      Steps to reproduce:

      1. Run ant compile (or any ant command) on any of the following plugins:
        gogo-commands-shared
        ip-geocoder-portlet
        modules-admin-portlet
        solr4-shared
        solr4-web
        test-module-framework-shared

      Expected results:
      The ant commands should work.

      Actual results:
      The ant commands result in errors.

      Error:

      /opt/github/liferay-plugins-ee/master/portlets/ip-geocoder-portlet$ ant clean 
      Buildfile: /opt/github/liferay-plugins-ee/master/portlets/ip-geocoder-portlet/build.xml
      
      BUILD FAILED
      /opt/github/liferay-plugins-ee/master/portlets/ip-geocoder-portlet/build.xml:7: The following error occurred while executing this line:
      /opt/github/liferay-plugins-ee/master/build-common-osgi-plugin.xml:5: The following error occurred while executing this line:
      /opt/github/liferay-plugins-ee/master/build-common-plugin.xml:11: The following error occurred while executing this line:
      /opt/github/liferay-plugins-ee/master/build-common-ivy.xml:251: The following error occurred while executing this line:
      /opt/github/liferay-plugins-ee/master/build-common-ivy.xml:85: Property 'module.bnd.Bundle-SymbolicName' is not defined.
      

      Attachments

        Issue Links

          Activity

            People

              kenji.heigel Kenji Heigel
              kenji.heigel Kenji Heigel
              Kiyoshi Lee Kiyoshi Lee
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved:
                8 years, 8 weeks, 2 days ago

                Packages

                  Version Package
                  6.2.X EE
                  7.0.0 M1